org.apache.axiom.soap.impl.builder

## Class SOAP11BuilderHelper

- java.lang.Object
- - org.apache.axiom.soap.impl.builder.SOAPBuilderHelper
  - - org.apache.axiom.soap.impl.builder.SOAP11BuilderHelper

- All Implemented Interfaces:
    SOAP11Constants, SOAPConstants

      public class SOAP11BuilderHelper
      extends SOAPBuilderHelper
      implements SOAP11Constants

- - ### Field Summary

    - ### Fields inherited from class org.apache.axiom.soap.impl.builder.SOAPBuilderHelper

      `builder, parser`

    - ### Fields inherited from interface org.apache.axiom.soap.SOAP11Constants

      `ATTR_ACTOR, FAULT_CODE_RECEIVER, FAULT_CODE_SENDER, QNAME_ACTOR, QNAME_FAULT_CODE, QNAME_FAULT_DETAIL, QNAME_FAULT_REASON, QNAME_FAULT_ROLE, QNAME_MU_FAULTCODE, QNAME_RECEIVER_FAULTCODE, QNAME_SENDER_FAULTCODE, SOAP_11_CONTENT_TYPE, SOAP_ACTOR_NEXT, SOAP_ENCODING_NAMESPACE_URI, SOAP_ENVELOPE_NAMESPACE_URI, SOAP_FAULT_ACTOR_LOCAL_NAME, SOAP_FAULT_CODE_LOCAL_NAME, SOAP_FAULT_DETAIL_LOCAL_NAME, SOAP_FAULT_STRING_LOCAL_NAME`

    - ### Fields inherited from interface org.apache.axiom.soap.SOAPConstants

      `ATTR_MUSTUNDERSTAND, ATTR_MUSTUNDERSTAND_0, ATTR_MUSTUNDERSTAND_1, ATTR_MUSTUNDERSTAND_FALSE, ATTR_MUSTUNDERSTAND_TRUE, BODY_FAULT_LOCAL_NAME, BODY_LOCAL_NAME, BODY_NAMESPACE_PREFIX, FAULT_CODE_DATA_ENCODING_UNKNOWN, FAULT_CODE_MUST_UNDERSTAND, FAULT_CODE_VERSION_MISMATCH, HEADER_LOCAL_NAME, SOAP_DEFAULT_NAMESPACE_PREFIX, SOAP_FAULT_DETAIL_EXCEPTION_ENTRY, SOAPBODY_FIRST_CHILD_ELEMENT_QNAME, SOAPENVELOPE_LOCAL_NAME, SOAPFAULT_DETAIL_LOCAL_NAME, SOAPFAULT_LOCAL_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAP11BuilderHelper(StAXSOAPModelBuilder builder, SOAPFactoryEx factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMElement` | `handleEvent(javax.xml.stream.XMLStreamReader parser, OMElement parent, int elementLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAP11BuilderHelper

          public SOAP11BuilderHelper(StAXSOAPModelBuilder builder,
                                     SOAPFactoryEx factory)

  - ### Method Detail

    - #### handleEvent

          public OMElement handleEvent(javax.xml.stream.XMLStreamReader parser,
                                       OMElement parent,
                                       int elementLevel)
                                throws SOAPProcessingException

      Specified by:
        `handleEvent` in class `SOAPBuilderHelper`
      Throws:
        `SOAPProcessingException`

Copyright © The Apache Software Foundation. All Rights Reserved.